/* btns */
.btn {
  position: relative;
  z-index: 10;
  text-decoration: none;
  text-align: center;
  white-space: nowrap;
  position: relative;
  overflow: hidden;
  text-overflow: ellipsis;
  cursor: pointer;
  display: inline-block;
  border-width: 0;
  border-radius: 3px;
  font-size: 15px;
  padding: 5px 20px;
  height: 40px;
  min-width: 90px;
  line-height: 30px;
  font-family: "Calibre-Semibold";
  text-transform: uppercase;
  outline: none;
  text-rendering: optimizeLegibility;
  -webkit-transition: all 0.1s cubic-bezier(0, 0, 0.58, 1);
  margin: 0 5px; }

.btn:first-of-type {
  margin-left: 0; }

.btn:last-of-type {
  margin-right: 0; }

.btn:first-of-type:last-of-type {
  margin-left: 0;
  margin-right: 0; }

.btn.primary::after {
  content: '';
  position: absolute;
  z-index: -1;
  -webkit-transform: skew(-28deg, 0);
  -webkit-transition: all 0.1s cubic-bezier(0, 0, 0.58, 1); }

.btn.primary::after {
  width: 0%;
  height: 100%;
  top: 0;
  left: -20px;
  background: #05CC47; }

.btn.primary.active {
  background: #05CC47; }

.btn.primary.active::after {
  width: calc(100% + 60px); }

.btn.small {
  padding: 4px 10px;
  height: 30px;
  line-height: 22px; }

.btn.primary {
  background-color: #337287;
  /* $link-color: #337287; */
  color: #fff; }

.btn.primary:hover {
  background-color: #05CC47;
  background-color: #196BA7;
  /* $link-hover-color: #196BA7; */ }

.btn.default {
  background-color: #98aa97;
  /* $link-color: #98aa97; */
  color: #fff; }

.btn.default:hover {
  background-color: #05CC47;
  background-color: #98aa97;
  /* $link-hover-color: #196BA7; */ }

.btn.withdraw {
  background-color: #98aa97;
  /* $link-color: #98aa97; */
  color: #fff; }

.btn.withdraw:hover {
  background-color: #05CC47;
  background-color: #98aa97;
  /* $link-hover-color: #196BA7; */ }

.btn.link:hover {
  text-decoration: underline; }

.btn.primary.green {
  background-color: #05CC47; }

.btn.primary.green:hover {
  xxbackground-color: #000;
  background-color: #196BA7;
  /* $link-hover-color: #196BA7; */ }

.btn.delete {
  background-color: #d83f3f;
  color: #fff; }

.btn.delete:hover {
  background-color: #d83f3f;
  color: #fff; }

.btn.fair,
.btn.voteUp {
  background-color: #90cf3f;
  color: #fff; }

.btn.fair:hover,
.btn.voteUp:hover {
  background-color: #8fbe2e;
  color: #fff; }

.btn.unfair,
.btn.voteDown {
  background-color: #dc7248;
  color: #fff; }

.btn.unfair:hover,
.btn.voteDown:hover {
  background-color: #cb6137;
  color: #fff; }

.btn.disable {
  background-color: #98aa97;
  color: #fff;
  opacity: .5; }

.btn.disableHot {
  background-color: #98aa97;
  color: #fff; }

.btn.disabled {
  opacity: 0.25;
  pointer-events: none; }

.btn.default.disabled {
  color: #666;
  box-shadow: inset 0 0 0 1px #444; }
